Author:  postgre2@cs.pdx.edu (Postgres Account) at Internet
Date:    10/16/98  3:09 PM
Priority: Normal
TO: John Sharp at CCPO2
Subject: testpro.c
------------------------------- Message Contents -------------------------------
#include <stdio.h>
#include <sys/types.h>
#include <string.h>
#include "profile.h"
     
int main(int argc, char** argv)
{
     int i, j, k,len;
     char iniFile[80],buf[500],ch;
     char *sectName,*keyName,*deflt,*value; 
     char valBuf[500];
     printf("name of ini file? ");
     scanf("%s",iniFile);
     printf(
          "Usage:\n"
          ">GsectName,keyName[,default]\n"
          ">GsectName          gets all keynames\n" 
          ">G               gets all sectnames\n" 
          ">WsectName,keyName,value\n"
          ">WsectName,keyName     deletes key\n" 
          ">WsectName          deletes section\n" 
          ">Q               quit\n"
          );
     for (;;)
     {
          printf(">");
          scanf("%s",buf);
          ch=tolower(*buf);
          if (ch=='q')
               break;
          sectName=strtok(buf+1,",");
          keyName=strtok(NULL,",");
          deflt=strtok(NULL,",");
          printf("Parameters are %s %s %s\n",
               sectName? sectName: "(null)",
               keyName? keyName: "(null)",
               deflt? deflt: "(null)");
          if (ch=='g')
          {
               if (keyName!=NULL && deflt==NULL)
                    deflt="";
               len=GetPrivateProfileString(
                    sectName,keyName,deflt,valBuf,sizeof(valBuf), 
                    iniFile);
               if (len==0)
                    printf("Nothing found\n");
               else if (keyName!=NULL)
                    printf("value=%s\n",valBuf);
               else {
                    if (sectName==NULL)
                         printf("sections:\n");
                    else
                         printf("keys:\n");
                    value=valBuf;
                    while (len>0)
                    {
                         printf("%s\n",value);
                         j=strlen(value)+1;
                         value+=j;
                         len-=j;
                    }
               }
          }
          else if (ch=='w')
          {
               if (WritePrivateProfileString(
                    sectName,keyName,deflt,iniFile))
                    printf("Made changes to %s\n",iniFile);
               else
                    printf("No changes to %s\n",iniFile);
          }
          else
               printf("command not recognized\n");
     }
}
